incubator-bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From r..@apache.org
Subject svn commit: r1341625 - /incubator/bigtop/trunk/bigtop-packages/src/deb/zookeeper/zookeeper-server.init
Date Tue, 22 May 2012 21:11:42 GMT
Author: rvs
Date: Tue May 22 21:11:42 2012
New Revision: 1341625

URL: http://svn.apache.org/viewvc?rev=1341625&view=rev
Log:
BIGTOP-598. missing zookeeper init on debian

Modified:
    incubator/bigtop/trunk/bigtop-packages/src/deb/zookeeper/zookeeper-server.init

Modified: incubator/bigtop/trunk/bigtop-packages/src/deb/zookeeper/zookeeper-server.init
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/bigtop-packages/src/deb/zookeeper/zookeeper-server.init?rev=1341625&r1=1341624&r2=1341625&view=diff
==============================================================================
--- incubator/bigtop/trunk/bigtop-packages/src/deb/zookeeper/zookeeper-server.init (original)
+++ incubator/bigtop/trunk/bigtop-packages/src/deb/zookeeper/zookeeper-server.init Tue May
22 21:11:42 2012
@@ -165,11 +165,19 @@ case "$1" in
 	    exit 1
 	fi
 	;;
-
+    init)
+        if hadoop_check_pidfile $PID_FILE ; then
+          echo "Error: $DESC is running. Stop it first." >&2
+          exit 1
+        else
+          shift
+          su -s /bin/sh zookeeper -c "zookeeper-server-initialize $*"
+        fi
+	;;
     *)
 	N=/etc/init.d/$NAME
   # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
-	echo "Usage: $N {start|stop|restart|force-reload|status|force-stop}" >&2
+	echo "Usage: $N {start|stop|restart|force-reload|status|force-stop|init}" >&2
 
 	exit 1
 	;;



Mime
View raw message